Bug 240399 - net/kea: Update to 1.6.0
Summary: net/kea: Update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kurt Jaeger
URL: https://downloads.isc.org/isc/kea/1.6...
Keywords: security
Depends on:
Blocks:
 
Reported: 2019-09-07 22:48 UTC by Andrey Pevnev
Modified: 2019-09-20 16:04 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+
pi: merge-quarterly-


Attachments
path to update to 1.6.0 (20.08 KB, patch)
2019-09-07 22:48 UTC, Andrey Pevnev
no flags Details | Diff
set myself as port maintainer (20.21 KB, patch)
2019-09-09 03:04 UTC, Andrey Pevnev
no flags Details | Diff
add vuxml entry (1.58 KB, patch)
2019-09-13 13:48 UTC, Andrey Pevnev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Pevnev 2019-09-07 22:48:06 UTC
Created attachment 207268 [details]
path to update to 1.6.0

KEA has been updated to 1.6.0 release, fixes CVEs CVE-2019-6472, CVE-2019-6473, CVE-2019-6474.

I can take maintainership for KEA if hrs@ has no time for it...

Thanks!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-08 03:24:41 UTC
Thank you for the report and patch Andrey

Feel free to include a MAINTAINER change

^Triage: Security release, MFH

Pending VuXML entry
Comment 2 Andrey Pevnev 2019-09-09 03:04:20 UTC
Created attachment 207309 [details]
set myself as port maintainer
Comment 3 Andrey Pevnev 2019-09-13 13:48:25 UTC
Created attachment 207465 [details]
add vuxml entry

add vuxml entry
Comment 4 Kurt Jaeger freebsd_committer 2019-09-20 13:16:30 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2019-09-20 14:51:03 UTC
A commit references this bug:

Author: pi
Date: Fri Sep 20 14:50:13 UTC 2019
New revision: 512415
URL: https://svnweb.freebsd.org/changeset/ports/512415

Log:
  net/kea: upgrade 1.5.0 -> 1.6.0

  - submitter becomes maintainer

  PR:		240399
  Submitted by:	Andrey Pevnev <apevnev@me.com>
  Approved by:	hrs (maintainer)
  MFH:		2019Q3
  Relnotes:	https://downloads.isc.org/isc/kea/1.6.0/Kea160ReleaseNotes.txt
  Security:	CVE-2019-6472, CVE-2019-6473, CVE-2019-6474

Changes:
  head/net/kea/Makefile
  head/net/kea/distinfo
  head/net/kea/files/patch-Makefile.am
  head/net/kea/files/patch-src-bin-keactrl-Makefile.am
  head/net/kea/files/patch-src-bin-keactrl-keactrl.in
  head/net/kea/files/patch-src-lib-dhcpsrv-Makefile.am
  head/net/kea/files/patch-src-lib-log-interprocess-Makefile.am
  head/net/kea/files/patch-src-lib-process-Makefile.am
  head/net/kea/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2019-09-20 15:47:59 UTC
Too many structural changes since start of 2019Q3, so will not MFH.
Comment 7 commit-hook freebsd_committer 2019-09-20 15:57:12 UTC
A commit references this bug:

Author: pi
Date: Fri Sep 20 15:56:45 UTC 2019
New revision: 512420
URL: https://svnweb.freebsd.org/changeset/ports/512420

Log:
  security/vuxml: add CVEs for net/kea

  PR:		240399
  Submitted by:	Andrey Pevnev <apevnev@me.com>

Changes:
  head/security/vuxml/vuln.xml
Comment 8 Kurt Jaeger freebsd_committer 2019-09-20 16:04:28 UTC
All done, thanks to all!